<bugID>1396633<Summary>devtools/client/framework/components/toolbox-controller.js::setCanRender is slow</Summary><Description>http://searchfox.org/mozilla-central/source/devtools/client/framework/components/toolbox-controller.js#88-91
This setCanRender method takes a significant part of the JS processing in the parent process when opening the inspector:
  https://perfht.ml/2eylj9K
(it is the first one to appear in the profiler when expanding the call tree)

It is unclear why it takes so much time, it looks like no module loading is involved here and only react is computing here.</Description></bugID>